Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

Update a document field

PUT/documents/fields/update
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Request body
requiredapplication/json
idstringrequired
field_idstringrequired
labelstring
is_requiredboolean
pageinteger
xnumber
ynumber
widthnumber
heightnumber
recipient_idstring | null
binding_keystring | null
propertiesobject
Responses
200

Updated

401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

404

Resource not found

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Bodyapplication/json
Request
curl -X PUT "https://api.seal.nyc/api/v1/documents/fields/update" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "string",
  "field_id": "string",
  "label": "string",
  "is_required": true,
  "page": 0,
  "x": 0,
  "y": 0,
  "width": 0,
  "height": 0,
  "recipient_id": "string",
  "binding_key": "string",
  "properties": {}
}'
Response
Updated